<?php

namespace App\Tests\Api;

use ApiPlatform\Symfony\Bundle\Test\ApiTestCase;
use Symfony\Bundle\FrameworkBundle\Test\WebTestCase;
class AveragePricePerMonthTest extends WebTestCase
{
    public function testBase():void
    {
        static::createClient()->request('GET', '/');
        $this->assertResponseIsSuccessful();
    }
    public function testAccessToPage(): void
    {
        $client = static::createClient();
        // Access to the page with a GET request and check if the response is successful
        $client->request('GET', '/average_price_per_month?page=1', ['headers' => ['accept' => 'application/json']]);
        $this->assertResponseIsSuccessful();
    }
}

?>